/*
 * @DEC_COPYRIGHT@
 */
/*
 * HISTORY
 * $Log:	ipc_copyin.h,v $
 * Revision 4.2  91/09/19  22:23:45  devbld
 * Adding ODE Headers
 * 
 * $EndLog$
 */
/*	
 *	@(#)$RCSfile: ipc_copyin.h,v $ $Revision: 4.2 $ (DEC) $Date: 91/09/19 22:23:45 $
 */ 
/*
 */
/*
 * (c) Copyright 1990, OPEN SOFTWARE FOUNDATION, INC.
 * ALL RIGHTS RESERVED
 */
/* 
 * Mach Operating System
 * Copyright (c) 1989 Carnegie-Mellon University
 * Copyright (c) 1988 Carnegie-Mellon University
 * Copyright (c) 1987 Carnegie-Mellon University
 * All rights reserved.  The CMU software License Agreement specifies
 * the terms and conditions for use and redistribution.
 */
/*
 * OSF/1 Release 1.0
 */

#ifndef	_KERN_IPC_COPYIN_H_
#define _KERN_IPC_COPYIN_H_

#include <mach_ipc_xxxhack.h>

#include <mach/boolean.h>
#include <mach/message.h>

extern void port_clear_receiver();

#if	MACH_IPC_XXXHACK
extern void port_copyin_receive();
extern void port_copyin_own();
#endif	/* MACH_IPC_XXXHACK */
extern void port_copyin_receive_own();

extern boolean_t object_copyin();
extern boolean_t object_copyin_from_kernel();
extern boolean_t object_copyin_cache();

extern msg_return_t msg_copyin();

#endif	/* _KERN_IPC_COPYIN_H_ */
